Bug 501061 - kernel BUG at fs/buffer.c:3248
kernel BUG at fs/buffer.c:3248
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 14:32 EDT by bugzilla
Modified: 2009-12-18 04:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:26:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bugzilla 2009-05-15 14:32:26 EDT
Description of problem:
A PHP FastCGI process became stuck in read(). In trying to chase down the problem this error was found in /var/log/messages:

May 13 19:14:14 gir kernel: ------------[ cut here ]------------
May 13 19:14:14 gir kernel: kernel BUG at fs/buffer.c:3248!
May 13 19:14:14 gir kernel: invalid opcode: 0000 [1] SMP 
May 13 19:14:14 gir kernel: CPU 0 
May 13 19:14:14 gir kernel: Modules linked in: ipt_LOG autofs4 w83627hf w83781d hwmon_vid ds1621 bluetooth sunrpc cls_u32 sch_htb 
ipv6 nf_conntrack_ftp cpufreq_ondemand powernow_k8 freq_table dm_multipath uinput ata_generic amd_rng tg3 i2c_amd8111 pata_acpi i2
c_amd756 i2c_core k8temp ppdev hwmon libphy parport_pc pata_amd parport pcspkr floppy shpchp sata_sil [last unloaded: scsi_wait_sc
an]
May 13 19:14:14 gir kernel: Pid: 7818, comm: php_fcgi Tainted: G   M      2.6.27.21-170.2.56.fc10.x86_64 #1 8480000
May 13 19:14:14 gir kernel: RIP: 0010:[<ffffffff810e13ca>]  [<ffffffff810e13ca>] free_buffer_head+0x11/0x3e
May 13 19:14:14 gir kernel: RSP: 0018:ffff8800bec3fb78  EFLAGS: 00010206
May 13 19:14:14 gir kernel: RAX: ffff88000a009cf8 RBX: ffff88000a009cb0 RCX: ffffe200009f7918
May 13 19:14:14 gir kernel: RDX: ffff88000a009cb0 RSI: 0000000000001000 RDI: ffff88000a009cb0
May 13 19:14:14 gir kernel: RBP: ffff8800bec3fb78 R08: 0000000000000000 R09: 0000000000000000
May 13 19:14:14 gir kernel: R10: 000000000000001b R11: 0000000000000715 R12: 0000000000000001
May 13 19:14:14 gir kernel: R13: ffff8800815d56d8 R14: 0000000000000008 R15: ffff880100084000
May 13 19:14:14 gir kernel: FS:  00007f5cba2387b0(0000) GS:ffffffff81717000(0000) knlGS:0000000000000000
May 13 19:14:14 gir kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May 13 19:14:14 gir kernel: CR2: 00007f5cb1dd00a8 CR3: 00000000c7d44000 CR4: 00000000000006e0
May 13 19:14:14 gir kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
May 13 19:14:14 gir kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
May 13 19:14:14 gir kernel: Process php_fcgi (pid: 7818, threadinfo ffff8800bec3e000, task ffff8800021ddc40)
May 13 19:14:14 gir kernel: Stack:  ffff8800bec3fbb8 ffffffff810e17ec ffff8800bec3fba8 ffffffff810554d0
May 13 19:14:14 gir kernel: ffff88000a009cb0 ffff88000a009cb0 0000000000000716 0000000000000001
May 13 19:14:14 gir kernel: ffff8800bec3fc28 ffffffff81122cc9 0000000000000000 ffffe200009f7918
May 13 19:14:14 gir kernel: Call Trace:
May 13 19:14:14 gir kernel: [<ffffffff810e17ec>] try_to_free_buffers+0x9f/0xb6
May 13 19:14:14 gir kernel: [<ffffffff810554d0>] ? wake_up_bit+0x1e/0x23
May 13 19:14:14 gir kernel: [<ffffffff81122cc9>] journal_invalidatepage+0x27d/0x2a6
May 13 19:14:14 gir kernel: [<ffffffff811148c5>] ext3_invalidatepage+0x3c/0x3e
May 13 19:14:14 gir kernel: [<ffffffff8109808d>] do_invalidatepage+0x20/0x22
May 13 19:14:14 gir kernel: [<ffffffff81098651>] truncate_complete_page+0x2a/0x54
May 13 19:14:14 gir kernel: [<ffffffff8109876f>] truncate_inode_pages_range+0xf4/0x361
May 13 19:14:14 gir kernel: [<ffffffff811164bb>] ? ext3_delete_inode+0x0/0xd5
May 13 19:14:14 gir kernel: [<ffffffff810989e9>] truncate_inode_pages+0xd/0x10
May 13 19:14:14 gir kernel: [<ffffffff811164d3>] ext3_delete_inode+0x18/0xd5
May 13 19:14:14 gir kernel: [<ffffffff811164bb>] ? ext3_delete_inode+0x0/0xd5
May 13 19:14:14 gir kernel: [<ffffffff810d3ae5>] generic_delete_inode+0xdb/0x162
May 13 19:14:14 gir kernel: [<ffffffff810d3b81>] generic_drop_inode+0x15/0x1d9
May 13 19:14:14 gir kernel: [<ffffffff810d2ce9>] iput+0x61/0x65
May 13 19:14:14 gir kernel: [<ffffffff810d039e>] dentry_iput+0xa1/0xbd
May 13 19:14:14 gir kernel: [<ffffffff810d0440>] d_kill+0x21/0x42
May 13 19:14:14 gir kernel: [<ffffffff810d2051>] dput+0x131/0x13e
May 13 19:14:14 gir kernel: [<ffffffff810c14a6>] __fput+0x149/0x16d
May 13 19:14:14 gir kernel: [<ffffffff810c14df>] fput+0x15/0x17
May 13 19:14:14 gir kernel: [<ffffffff810a355d>] remove_vma+0x4f/0x85
May 13 19:14:14 gir kernel: [<ffffffff810a48da>] do_munmap+0x2bc/0x2de
May 13 19:14:14 gir kernel: [<ffffffff810a493c>] sys_munmap+0x40/0x59
May 13 19:14:14 gir kernel: [<ffffffff8101027a>] system_call_fastpath+0x16/0x1b
May 13 19:14:14 gir kernel:
May 13 19:14:14 gir kernel:
May 13 19:14:14 gir kernel: Code: 89 c7 7e d7 31 c0 3b 1d 6d cc 6e 00 0f 9f c0 89 05 4c cc 6e 00 5b 41 5c c9 c3 55 48 8d 47 48 48 
39 47 48 48 89 fa 48 89 e5 74 04 <0f> 0b eb fe 48 8b 3d 3b cc 6e 00 48 89 d6 e8 f4 96 fd ff 65 48 
May 13 19:14:14 gir kernel: RIP  [<ffffffff810e13ca>] free_buffer_head+0x11/0x3e
May 13 19:14:14 gir kernel: RSP <ffff8800bec3fb78>
May 13 19:14:14 gir kernel: ---[ end trace f35defeac0d52943 ]---


This prevented the PID (7818) from accepting any signals, from being interacted with by strace or gdb, etc. After sending a restart command to the system all demon processes were terminated, but the kernel did not reboot. A NOC operator had to physically toggle the Reset button.


How reproducible:
Unknown.
Comment 1 Chuck Ebbert 2009-05-18 02:18:13 EDT
void free_buffer_head(struct buffer_head *bh)
{
        BUG_ON(!list_empty(&bh->b_assoc_buffers));
Comment 2 Bug Zapper 2009-11-18 05:01:51 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:26:43 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.